package com.ruoyi.interfaces.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class PtChartFileCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public PtChartFileCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andFileIdIsNull() {
            addCriterion("FILE_ID is null");
            return (Criteria) this;
        }

        public Criteria andFileIdIsNotNull() {
            addCriterion("FILE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andFileIdEqualTo(String value) {
            addCriterion("FILE_ID =", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdNotEqualTo(String value) {
            addCriterion("FILE_ID <>", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdGreaterThan(String value) {
            addCriterion("FILE_ID >", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_ID >=", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdLessThan(String value) {
            addCriterion("FILE_ID <", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdLessThanOrEqualTo(String value) {
            addCriterion("FILE_ID <=", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdLike(String value) {
            addCriterion("FILE_ID like", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdNotLike(String value) {
            addCriterion("FILE_ID not like", value, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdIn(List<String> values) {
            addCriterion("FILE_ID in", values, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdNotIn(List<String> values) {
            addCriterion("FILE_ID not in", values, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdBetween(String value1, String value2) {
            addCriterion("FILE_ID between", value1, value2, "fileId");
            return (Criteria) this;
        }

        public Criteria andFileIdNotBetween(String value1, String value2) {
            addCriterion("FILE_ID not between", value1, value2, "fileId");
            return (Criteria) this;
        }

        public Criteria andCodeIsNull() {
            addCriterion("CODE is null");
            return (Criteria) this;
        }

        public Criteria andCodeIsNotNull() {
            addCriterion("CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCodeEqualTo(String value) {
            addCriterion("CODE =", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotEqualTo(String value) {
            addCriterion("CODE <>", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThan(String value) {
            addCriterion("CODE >", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CODE >=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThan(String value) {
            addCriterion("CODE <", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThanOrEqualTo(String value) {
            addCriterion("CODE <=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLike(String value) {
            addCriterion("CODE like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotLike(String value) {
            addCriterion("CODE not like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeIn(List<String> values) {
            addCriterion("CODE in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotIn(List<String> values) {
            addCriterion("CODE not in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeBetween(String value1, String value2) {
            addCriterion("CODE between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotBetween(String value1, String value2) {
            addCriterion("CODE not between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andRelIdIsNull() {
            addCriterion("REL_ID is null");
            return (Criteria) this;
        }

        public Criteria andRelIdIsNotNull() {
            addCriterion("REL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andRelIdEqualTo(String value) {
            addCriterion("REL_ID =", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdNotEqualTo(String value) {
            addCriterion("REL_ID <>", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdGreaterThan(String value) {
            addCriterion("REL_ID >", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdGreaterThanOrEqualTo(String value) {
            addCriterion("REL_ID >=", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdLessThan(String value) {
            addCriterion("REL_ID <", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdLessThanOrEqualTo(String value) {
            addCriterion("REL_ID <=", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdLike(String value) {
            addCriterion("REL_ID like", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdNotLike(String value) {
            addCriterion("REL_ID not like", value, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdIn(List<String> values) {
            addCriterion("REL_ID in", values, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdNotIn(List<String> values) {
            addCriterion("REL_ID not in", values, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdBetween(String value1, String value2) {
            addCriterion("REL_ID between", value1, value2, "relId");
            return (Criteria) this;
        }

        public Criteria andRelIdNotBetween(String value1, String value2) {
            addCriterion("REL_ID not between", value1, value2, "relId");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNull() {
            addCriterion("FILE_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNotNull() {
            addCriterion("FILE_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andFileTypeEqualTo(String value) {
            addCriterion("FILE_TYPE =", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotEqualTo(String value) {
            addCriterion("FILE_TYPE <>", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThan(String value) {
            addCriterion("FILE_TYPE >", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_TYPE >=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThan(String value) {
            addCriterion("FILE_TYPE <", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThanOrEqualTo(String value) {
            addCriterion("FILE_TYPE <=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLike(String value) {
            addCriterion("FILE_TYPE like", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotLike(String value) {
            addCriterion("FILE_TYPE not like", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeIn(List<String> values) {
            addCriterion("FILE_TYPE in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotIn(List<String> values) {
            addCriterion("FILE_TYPE not in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeBetween(String value1, String value2) {
            addCriterion("FILE_TYPE between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotBetween(String value1, String value2) {
            addCriterion("FILE_TYPE not between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andFilePathIsNull() {
            addCriterion("FILE_PATH is null");
            return (Criteria) this;
        }

        public Criteria andFilePathIsNotNull() {
            addCriterion("FILE_PATH is not null");
            return (Criteria) this;
        }

        public Criteria andFilePathEqualTo(String value) {
            addCriterion("FILE_PATH =", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotEqualTo(String value) {
            addCriterion("FILE_PATH <>", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathGreaterThan(String value) {
            addCriterion("FILE_PATH >", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_PATH >=", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLessThan(String value) {
            addCriterion("FILE_PATH <", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLessThanOrEqualTo(String value) {
            addCriterion("FILE_PATH <=", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathLike(String value) {
            addCriterion("FILE_PATH like", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotLike(String value) {
            addCriterion("FILE_PATH not like", value, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathIn(List<String> values) {
            addCriterion("FILE_PATH in", values, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotIn(List<String> values) {
            addCriterion("FILE_PATH not in", values, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathBetween(String value1, String value2) {
            addCriterion("FILE_PATH between", value1, value2, "filePath");
            return (Criteria) this;
        }

        public Criteria andFilePathNotBetween(String value1, String value2) {
            addCriterion("FILE_PATH not between", value1, value2, "filePath");
            return (Criteria) this;
        }

        public Criteria andFileSavenameIsNull() {
            addCriterion("FILE_SAVENAME is null");
            return (Criteria) this;
        }

        public Criteria andFileSavenameIsNotNull() {
            addCriterion("FILE_SAVENAME is not null");
            return (Criteria) this;
        }

        public Criteria andFileSavenameEqualTo(String value) {
            addCriterion("FILE_SAVENAME =", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameNotEqualTo(String value) {
            addCriterion("FILE_SAVENAME <>", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameGreaterThan(String value) {
            addCriterion("FILE_SAVENAME >", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_SAVENAME >=", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameLessThan(String value) {
            addCriterion("FILE_SAVENAME <", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameLessThanOrEqualTo(String value) {
            addCriterion("FILE_SAVENAME <=", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameLike(String value) {
            addCriterion("FILE_SAVENAME like", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameNotLike(String value) {
            addCriterion("FILE_SAVENAME not like", value, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameIn(List<String> values) {
            addCriterion("FILE_SAVENAME in", values, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameNotIn(List<String> values) {
            addCriterion("FILE_SAVENAME not in", values, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameBetween(String value1, String value2) {
            addCriterion("FILE_SAVENAME between", value1, value2, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileSavenameNotBetween(String value1, String value2) {
            addCriterion("FILE_SAVENAME not between", value1, value2, "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileViewnameIsNull() {
            addCriterion("FILE_VIEWNAME is null");
            return (Criteria) this;
        }

        public Criteria andFileViewnameIsNotNull() {
            addCriterion("FILE_VIEWNAME is not null");
            return (Criteria) this;
        }

        public Criteria andFileViewnameEqualTo(String value) {
            addCriterion("FILE_VIEWNAME =", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameNotEqualTo(String value) {
            addCriterion("FILE_VIEWNAME <>", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameGreaterThan(String value) {
            addCriterion("FILE_VIEWNAME >", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_VIEWNAME >=", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameLessThan(String value) {
            addCriterion("FILE_VIEWNAME <", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameLessThanOrEqualTo(String value) {
            addCriterion("FILE_VIEWNAME <=", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameLike(String value) {
            addCriterion("FILE_VIEWNAME like", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameNotLike(String value) {
            addCriterion("FILE_VIEWNAME not like", value, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameIn(List<String> values) {
            addCriterion("FILE_VIEWNAME in", values, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameNotIn(List<String> values) {
            addCriterion("FILE_VIEWNAME not in", values, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameBetween(String value1, String value2) {
            addCriterion("FILE_VIEWNAME between", value1, value2, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileViewnameNotBetween(String value1, String value2) {
            addCriterion("FILE_VIEWNAME not between", value1, value2, "fileViewname");
            return (Criteria) this;
        }

        public Criteria andFileTimeIsNull() {
            addCriterion("FILE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andFileTimeIsNotNull() {
            addCriterion("FILE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andFileTimeEqualTo(Date value) {
            addCriterion("FILE_TIME =", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeNotEqualTo(Date value) {
            addCriterion("FILE_TIME <>", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeGreaterThan(Date value) {
            addCriterion("FILE_TIME >", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FILE_TIME >=", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeLessThan(Date value) {
            addCriterion("FILE_TIME <", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeLessThanOrEqualTo(Date value) {
            addCriterion("FILE_TIME <=", value, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeIn(List<Date> values) {
            addCriterion("FILE_TIME in", values, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeNotIn(List<Date> values) {
            addCriterion("FILE_TIME not in", values, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeBetween(Date value1, Date value2) {
            addCriterion("FILE_TIME between", value1, value2, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileTimeNotBetween(Date value1, Date value2) {
            addCriterion("FILE_TIME not between", value1, value2, "fileTime");
            return (Criteria) this;
        }

        public Criteria andFileIdLikeInsensitive(String value) {
            addCriterion("upper(FILE_ID) like", value.toUpperCase(), "fileId");
            return (Criteria) this;
        }

        public Criteria andCodeLikeInsensitive(String value) {
            addCriterion("upper(CODE) like", value.toUpperCase(), "code");
            return (Criteria) this;
        }

        public Criteria andRelIdLikeInsensitive(String value) {
            addCriterion("upper(REL_ID) like", value.toUpperCase(), "relId");
            return (Criteria) this;
        }

        public Criteria andFileTypeLikeInsensitive(String value) {
            addCriterion("upper(FILE_TYPE) like", value.toUpperCase(), "fileType");
            return (Criteria) this;
        }

        public Criteria andFilePathLikeInsensitive(String value) {
            addCriterion("upper(FILE_PATH) like", value.toUpperCase(), "filePath");
            return (Criteria) this;
        }

        public Criteria andFileSavenameLikeInsensitive(String value) {
            addCriterion("upper(FILE_SAVENAME) like", value.toUpperCase(), "fileSavename");
            return (Criteria) this;
        }

        public Criteria andFileViewnameLikeInsensitive(String value) {
            addCriterion("upper(FILE_VIEWNAME) like", value.toUpperCase(), "fileViewname");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
